import json
import os

name_diccionario = {}
dictionary = {}


def initialize_dict(dic_dir):
    global dictionary
    global name_diccionario
    dictionary = {"etiquettes": ["abastecimiento_simultaneo", "adreferendum", "agricultura_familiar", "bs_estrategicos",
                                 "contrato_abierto", "fonacide", "impugnado", "plurianual", "produccion_nacional",
                                 "seguridad_nacional", "subasta", "urgencia_impostergable"],
                  "currency": ["PYG", "USD"],
                  "roles": ["buyer", "payee", "payer", "procuringEntity", "supplier", "tenderer"],
                  "status": ["active", "unsuccessful", "cancelled", "pending", "complete"],
                  "budget_breakdown_status": ["ANULADO", "COMPROMETIDO", "EN PROCESO"  "PREVISIONADO"],

                  "dncpAmendmentType": ["Ampliación de Monto", "Ampliación de Plazo", "Interés Moratorio",
                                        "Otras Modificaciones", "Reajuste de Precio",
                                        "Renovación de Alquiler de Inmueble"],
                  "submissionMethod": ["electronicAuction", "written"],
                  "procurementMethodDetails": ["ACUERDO INTERNACIONAL", "ACUERDO NACIONAL",
                                               "COMPRA DIRECTA POR EXCEPCION",
                                               "CONCURSO DE OFERTA", "CONTRATACION DIRECTA",
                                               "LICITACION PUBLICA INTERNACIONAL",
                                               "LICITACION PUBLICA NACIONAL", "LOCACION DE INMUBLE",
                                               "PROCESOS DE CAPACITACIÓN",
                                               "RENOVACION DE LOCACION", "SELECCION BASADA EN EL MENOR COSTO - SBMC",
                                               "SELECCION BASADA EN LA CALIDAD - SBC",
                                               "SELECCION BASADA EN LA CALIDAD Y COSTO - SBCC",
                                               "SELECCION BASADA EN LAS CACLIFICACIONES DE CONSULTORES - SCC",
                                               "SELECCIÓN PRESUPUESTO FIJO - SBPF",
                                               "SELEC. S/ LA BASE DE LA COMPARACION DE LAS CALIF -3CV",
                                               "SUBASTA"],
                  "documentType": ["x_budgetAvailabilityCertificate", "Acta de Apertura", "Adenda de Ampliación",
                                   "Adenda de Contrato",
                                   "awardNotice", "contractArrangements", "Contrato Renovación",
                                   "Cuadro Comparativo de Ofertas",
                                   "Dictamen de Ampliación", "Dictamen de Rescisión", "Dictamen Renovación",
                                   "Documento Notificación",
                                   "Endozo de Garantía", "evaluationReports", "Nota de Aclaración",
                                   "Nota Cancelación Adjudicación",
                                   "Nota de Contestación", "Notificación al Oferente", "Orden de Compra o Contrato",
                                   "Poliza / Garantia",
                                   "Resolución de Ampliación", "Resolución de Cancelación Adjudicación",
                                   "Resolución de Reajuste",
                                   "Resolución Renovación", "Acta de Prórroga", "Adenda", "Autorización de Erssan",
                                   "Autorización del Equipo Ec. para Vehiculos",
                                   "biddingDocuments", "Carta de Invitación", "Carta de invitación a los oferentes",
                                   "CDP",
                                   "Certificado de DGEP", "clarifications",
                                   "Condiciones Generales del Contrato - Bienes y Servicios",
                                   "Condiciones Generales del Contrato - Bienes y Servicios Banco Mundial",
                                   "Condiciones Generales del Contrato - Bienes y Servicios Complemento Nutricional",
                                   "Condiciones Generales del Contrato - Bienes y Servicios por Subasta",
                                   "Condiciones Generales del Contrato - Consultores BID",
                                   "Condiciones Generales del Contrato - Obras",
                                   "Condiciones Generales del Contrato - Obras BID",
                                   "Condiciones Generales del Contrato - Obras por Subasta",
                                   "Condiciones Generales del Contrato - Seguridad y Vigilancia",
                                   "Condiciones Generales del Contrato - Seguridad y Vigilancia Subasta",
                                   "Condiciones Generales del Contrato - Seguros",
                                   "Condiciones Generales del Contrato - Servicios de Limpieza",
                                   "Constancia Adreferendum",
                                   "Constancia de previsión plurianual",
                                   "Dictamen de Evaluación o justificación Llamado", "Dictamen del Llamado",
                                   "Dictamen Justificativo de Cancelación Llamado",
                                   "Dictamen Justificativo de Declaración Desierta",
                                   "Dictamen modificación de plantilla", "Evaluación Impacto Ambiental",
                                   "Factura o Contrato", "Fotocopia de Título",
                                   "Informe de gravámenes y dominios",
                                   "Instrucción a los Oferentes - Bienes y Servicios",
                                   "Instrucción a los Oferentes - Bienes y Servicios Banco Mundial",
                                   "Instrucción a los Oferentes - Bienes y Servicios Complemento Nutricional",
                                   "Instrucción a los Oferentes - Bienes y Servicios por Subasta",
                                   "Instrucción a los Oferentes - Obras",
                                   "Instrucción a los Oferentes - Obras BID",
                                   "Instrucción a los Oferentes - Obras por Subasta",
                                   "Instrucción a los Oferentes - Seguridad y Vigilancia",
                                   "Instrucción a los Oferentes - Seguridad y Vigilancia Subasta",
                                   "Instrucción a los Oferentes - Seguros",
                                   "Instrucción a los Oferentes - Servicios de Limpieza",
                                   "Instrucción para los Consultores", "Justificación Contrato Abierto",
                                   "Justificación de abastecimiento simultáneo",
                                   "Justificación de Contratación de Carácter Internacional",
                                   "Lista de precios", "Llamado publicado", "No objeción", "Nota Comunicación",
                                   "Nota de Comunicación Adenda/Aclaracion (opcional)", "Nota de Contestación Llamado",
                                   "Nota de Observacion",
                                   "Nota de Observación de Llamado", "Nota de Reparo", "Nota de Respuesta Llamado",
                                   "Nota de Suspensión", "Otros - Audiencias", "Países Elegibles",
                                   "Países Elegibles - Consultores BID",
                                   "Países Elegilbes - Obras BID", "Permiso Municipal",
                                   "Plano de obra o cómputos métricos", "Precios Referenciales", "Proforma de contrato",
                                   "Proforma de Contrato CD",
                                   "Publicación en periódicos", "Resolución Cancelación Llamado",
                                   "Resolución de Aprobación de Pliego", "Resolución Declaración Desierta",
                                   "Resoluciṕn del Llamado",
                                   "Resolución Locación de Inmueble", "Resolución Via Excepción", "SEPA",
                                   "technicalSpecifications"],
                  'tenderDocumentType': ["Acta de Apertura",
                                         "Acta de Prórroga",
                                         "Adenda",
                                         "Autorización de Erssan",
                                         "Autorización del Equipo Ec. para Vehiculos",
                                         "Autorización del MEC",
                                         "awardNotice",
                                         "biddingDocuments",
                                         "Carta de Aceptación (de tasación)",
                                         "Carta de Invitación",
                                         "Carta de invitación a los oferentes",
                                         "CDP",
                                         "Certificado de DGEP",
                                         "clarifications",
                                         "Condiciones Generales del Contrato - Almuerzo Escolar",
                                         "Condiciones Generales del Contrato - Bienes y Servicios",
                                         "Condiciones Generales del Contrato - Bienes y Servicios Banco Mundial",
                                         "Condiciones Generales del Contrato - Bienes y Servicios Complemento Nutricional",
                                         "Condiciones Generales del Contrato - Bienes y Servicios por Subasta",
                                         "Condiciones Generales del Contrato - Consultores BID",
                                         "Condiciones Generales del Contrato - Obras",
                                         "Condiciones Generales del Contrato - Obras BID",
                                         "Condiciones Generales del Contrato - Obras por Subasta",
                                         "Condiciones Generales del Contrato - Provision de Pasajes Aereos",
                                         "Condiciones Generales del Contrato - Seguridad y Vigilancia",
                                         "Condiciones Generales del Contrato - Seguridad y Vigilancia Subasta",
                                         "Condiciones Generales del Contrato - Seguros",
                                         "Condiciones Generales del Contrato - Servicios de Limpieza",
                                         "Condiciones Generales del Contrato - Servicios de Limpieza Subasta",
                                         "Constancia Adreferendum",
                                         "Constancia de previsión plurianual",
                                         "Datos Estadisticos Referenciales",
                                         "Declaración jurada",
                                         "Dictamen de Evaluación o justificación Llamado",
                                         "Dictamen del Llamado",
                                         "Dictamen Justificativo de Cancelación Llamado",
                                         "Dictamen Justificativo de Declaración Desierta",
                                         "Dictamen modificación de plantilla",
                                         "environmentalImpact",
                                         "Evaluación Impacto Ambiental",
                                         "evaluationReports",
                                         "Factura o Contrato",
                                         "Flujo de fondos",
                                         "Fotocopia de Título",
                                         "Geolocalizacion",
                                         "Informe de catástro",
                                         "Informe de gravámenes y dominios",
                                         "Instrucción a los Oferentes - Almuerzo Escolar",
                                         "Instrucción a los Oferentes - Bienes y Servicios",
                                         "Instrucción a los Oferentes - Bienes y Servicios Banco Mundial",
                                         "Instrucción a los Oferentes - Bienes y Servicios Complemento Nutricional",
                                         "Instrucción a los Oferentes - Bienes y Servicios por Subasta",
                                         "Instrucción a los Oferentes - Obras",
                                         "Instrucción a los Oferentes - Obras BID",
                                         "Instrucción a los Oferentes - Obras por Subasta",
                                         "Instrucción a los Oferentes - Provision de Pasajes Aereos",
                                         "Instrucción a los Oferentes - Seguridad y Vigilancia",
                                         "Instrucción a los Oferentes - Seguridad y Vigilancia Subasta",
                                         "Instrucción a los Oferentes - Seguros",
                                         "Instrucción a los Oferentes - Servicios de Limpieza",
                                         "Instrucción a los Oferentes - Servicios de Limpieza Subasta",
                                         "Instrucción para los Consultores",
                                         "Justificación Contrato Abierto",
                                         "Justificación de abastecimiento simultáneo",
                                         "Justificación de Anticipo",
                                         "Justificación de Contratación de Carácter Internacional",
                                         "Lista de precios",
                                         "Llamado publicado",
                                         "No objeción",
                                         "Nota Comunicación",
                                         "Nota de Cancelación",
                                         "Nota de Comunicación Adenda/Aclaracion (opcional)",
                                         "Nota de Contestación",
                                         "Nota de Contestación Llamado",
                                         "Nota de Observacion",
                                         "Nota de Observación de Llamado",
                                         "Nota de Reparo",
                                         "Nota de Respuesta Llamado",
                                         "Nota de Solicitud Adenda (Opcional)",
                                         "Nota de Suspensión",
                                         "Notificación al Oferente",
                                         "Otros - Audiencias",
                                         "Países Elegibles",
                                         "Países Elegibles - Consultores BID",
                                         "Países Elegilbes - Obras BID",
                                         "Permiso Municipal",
                                         "Plano de obra o cómputos métricos",
                                         "Precios Referenciales",
                                         "Proforma de contrato",
                                         "Proforma de Contrato CD",
                                         "Publicación en periódicos",
                                         "Resolución Cancelación Llamado",
                                         "Resolución de Aprobación de Pliego",
                                         "Resolución Declaración Desierta",
                                         "Resolución del Convenio",
                                         "Resolución del Llamado",
                                         "Resolución Locación de Inmueble",
                                         "Resolución Via Excepción",
                                         "SEPA",
                                         "Tasación Oficial",
                                         "technicalSpecifications"],
                  'planningDocumentType': ["x_budgetAvailabilityCertificate"],
                  "contractDocumentType": ["Acta de Apertura",
                                           "Acuerdo entre las partes",
                                           "Adenda de Ampliación",
                                           "Adenda de Contrato",
                                           "Anexo Adjudicación",
                                           "awardNotice",
                                           "CDP",
                                           "CDP Proveedor",
                                           "contractArrangements",
                                           "contractSummary",
                                           "Contrato Renovación",
                                           "Cuadro Comparativo de Ofertas",
                                           "Dictamen de Ampliación",
                                           "Dictamen de Rescisión",
                                           "Dictamen Justificativo de Reajuste",
                                           "Dictamen Renovación",
                                           "Dictamen técnico / legal",
                                           "Documento Notificación",
                                           "Endozo de Garantía",
                                           "evaluationReports",
                                           "Formulario de Adecuación de Líneas Presupuestarias",
                                           "Nota al Director",
                                           "Nota de Aclaración",
                                           "Nota de Cancelación Adjudicación",
                                           "Nota de Comunicación de Ampliación",
                                           "Nota de Contestación",
                                           "Nota de Contestacion Adjudicacion",
                                           "Nota de Contestacion Proveedor Adjudicado",
                                           "Nota de Observacion",
                                           "Nota de Observacion Adjudicacion",
                                           "Nota de Observación Proveedor Adjudicado",
                                           "Nota de Reajuste",
                                           "Nota de Retención",
                                           "Notificación al Oferente",
                                           "Orden de Compra o Contrato",
                                           "Otros Adjuntos",
                                           "Otros - Renovación",
                                           "Poliza / Garantia",
                                           "Resolución de Ampliación",
                                           "Resolución de Cancelación Adjudicación",
                                           "Resolución de Reajuste",
                                           "Resolución Renovación"]
                  }

    if os.path.isfile(dic_dir):
        with open(dic_dir) as f_in:
            name_diccionario = (json.load(f_in))
